
Foreman - Bug #15479

Change imported Windows OSes to show human readable OS name from facts

06/21/2016 08:14 AM - Jeff Sparrow

Status: New   

Priority: Low   

Assignee:    

Category: Importers   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

On Windows 2012 R2, all versions come in as Windows 6.3 - TvwLw3n.png  .

While technically correct, most users don't understand what it means.  This information appears to be pulling from the

kernelmajversion fact.  Instead we would like the operating system column (on the main hosts page) to use osmajversion fact, which

would then show us 2012 R2 as the OS, instead of Windows 6.3.

Related issues:

Related to Foreman - Bug #7819: Windows facts should be returned from kernelr... Closed 10/06/2014

History

#1 - 06/21/2016 08:15 AM - Dominic Cleal

- Related to Bug #7819: Windows facts should be returned from kernelrelease added

#2 - 06/21/2016 08:17 AM - Dominic Cleal

- Subject changed from Want to change default os fact in Operating System column on hosts page to Change imported Windows OSes to show

human readable OS name from facts

- Category changed from Web Interface to Importers

#7819 changed this as the major/minor has to be numeric, but the human-readable name can be stored in the description field instead, which will

override the "6.3" on the host view.
